lp:ubuntu/trusty/sox

Created by Ubuntu Package Importer on 2013-10-19 and last modified on 2013-12-31
Get this branch:
bzr branch lp:ubuntu/trusty/sox
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Development

Recent revisions

33. By William Grant on 2013-12-31

Build with dh-autoreconf instead of autotools-dev for new libtool.

32. By Pascal Giard on 2013-04-15

* [debian/rules]:
  - Added an explicit call to dh_installchangelogs as Ubuntu no longer does
    does it by default. It's important for us as it contains the list of
    past contributors.
* [debian/docs]:
  - Fixed paths to files.

31. By Pascal Giard on 2013-02-22

* [debian/libsox-fmt-base.install.in]:
  - Added all missing sndfile-derived formats. Thanks to Ulrich Klauer
    <email address hidden> for the patch (LP: #1086889).
* [debian/control]:
  - Removed duplicate section field for sox. Fixes lintian warning.
  - Added Build-Dep on autotools-dev for dh_autotools_dev.
* [debian/rules]:
  - Use dh_autotools_dev to update the outdated autotools helper files.
    Fixes lintian warning.

30. By Pascal Giard on 2013-02-11

* New upstream release.
  - Fixed misleading error message (closes: #676143).
  - Fixed early termination on Ogg Vorbis files with a non-power of two
    number of channels (closes: #672567).
* [debian/source/format]:
  - Finally switched to dpkg-source 3.0 (quilt) format!
* [debian/rules]:
  - No longer using CDBS and depricated makefiles, fixes lintian warnings
    "debian-rules-uses-deprecated-makefile".
  - Added multiarch support.
* [debian/control]:
  - Added Vcs-Git and Vcs-Browser pointing to upstream VCS.
  - Added Pre-Depends on multiarch-support for libsox3, does not seem to
    required for the other packages (contradiction in the documentation?),
    fixes lintian warning "missing-pre-dependency-on-multiarch-support".
  - Bumped Standards-Version to 3.9.3, no changes needed.
  - Set Multi-Arch on the shared libraries where appropriate.
  - Set Section to libs for all libsox* but libsox-dev.
* [debian/patches/01_default_audio_driver_fallback.patch]:
  - Removed, fixed upstream.
* [debian/compat]:
  - Bumped to 9 to automatically use dpkg-buildflags, fixes lintian warnings
    "hardening-no-relro" and some "hardening-no-fortify-functions" (there
    are still 5 false positives on the latter though).
* [debian/watch]:
  - Updated watch file, thanks to Bart Martens <email address hidden>.
* [debian/README.source]:
  - Updated to reflect the much simplified packaging and usage of quilt.

29. By Pascal Giard on 2013-01-18

* [debian/patches/01_default_audio_driver_fallback.patch]:
  - Updated to only use try_device() on pulseaudio. Thanks to
    Ulrich Klauer <email address hidden> for the patch (closes: #676167).

28. By Pascal Giard on 2012-05-06

* [debian/patches/01_default_audio_driver_fallback.patch]:
  - Added default audio driver fallback. Thanks to Rob Sykes for the patch
    (closes: #664301).

27. By Pascal Giard on 2011-12-10

* [debian/control]:
  - Added armhf to architectures for which libsox-fmt-alsa should be built,
    thanks to Konstantinos Margaritis (closes: #645397).

26. By Matthias Klose on 2011-12-08

Build libsox-fmt-alsa for armhf.

25. By Pascal Giard on 2011-08-21

* Dynamically link against libmp3lame now that it's part of main
  (closes: #627687).
* Preparing for transition from ffmpeg to libav (closes: #638206).
* [debian/rules]:
  - Removed --enable-dl-lame, no longer needed.
* [debian/control]:
  - Added Build-Dep on libmp3lame-dev.
  - Updated libsox-fmt-mp3 to reflect the change.
* [debian/patches/01_transition_to_libav.patch]:
  - Added support for libav while still supporting ffmpeg.

24. By Jean-Louis Dupond on 2011-07-13

* Merge from debian unstable. (LP: #809619) Remaining changes:
  - debian/patches/fix_deprecated_names.patch:
    Fixes deprecated names in libavcodec.
* Make sure that lame is installed on package install by disabling lame
  runtime detection
  - debian/control: Build-Depends on libmp3lame-dev
  - debian/rules: --enable-dl-lame=no in DEB_CONFIGURE_EXTRA_FLAGS

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/saucy/sox
This branch contains Public information 
Everyone can see this information.

Subscribers